package cn.com.tenlion.configcontent.pojo.pos.contentlike;

/**
 *
 * @ClassName: ContentLikePO
 * @Description: CBC内容管理点赞记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:39:38
 * @Version: 3.0
 **/
public class ContentLikePO {

    private String contentLikeId;
    private String businessId;
    private String contentLikeUserName;
    private String contentLikeUserIcon;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getContentLikeId() {
        return contentLikeId == null ? "" : contentLikeId.trim();
    }

    public void setContentLikeId(String contentLikeId) {
        this.contentLikeId = contentLikeId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentLikeUserName() {
        return contentLikeUserName == null ? "" : contentLikeUserName.trim();
    }

    public void setContentLikeUserName(String contentLikeUserName) {
        this.contentLikeUserName = contentLikeUserName;
    }

    public String getContentLikeUserIcon() {
        return contentLikeUserIcon == null ? "" : contentLikeUserIcon.trim();
    }

    public void setContentLikeUserIcon(String contentLikeUserIcon) {
        this.contentLikeUserIcon = contentLikeUserIcon;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
